DoubleElimination is a strategy where each player plays atleast two games before being eliminated.

### Hierarchy

- default

### Implements

- default

## Index

### Constructors

- constructor

### Properties

- finished
- oneLossOddPlayer
- playedMatches
- playerStats
- players
- processedMatches
- ranking
- unlinkedMatches
- waitingForFinal
- zeroLossOddPlayer

### Methods

- anyPlayersWaiting
- createMatch
- getPlayerScore
- getPlayers
- getRanking
- getRemainingMatches
- getUpdatedRanking
- isFinished
- matchPlayers
- playerIsWaitingForMatch
- rankExplanation
- setParentMatches
- shufflePlayers
- updateRealtimeStats
- updateStats

## Constructors

### constructor

- new default(players: string[], options: MatchOptions): default

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:38

  #### Parameters

  - ##### players: string[]

  - ##### options: MatchOptions

  #### Returns default

## Properties

### Private finished

finished: boolean

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:28

### Private oneLossOddPlayer

oneLossOddPlayer: string

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:34

### Private playedMatches

playedMatches: Match[]

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:29

### Private playerStats

playerStats: {}

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:32

#### Type declaration

- ##### [key: string]: PlayerStats

### Private players

players: string[]

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:27

### Private processedMatches

processedMatches: string[]

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:31

### Private ranking

ranking: PlayerRank[]

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:30

### Private unlinkedMatches

unlinkedMatches: DoubleEliminationMatch[] = []

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:36

### Private waitingForFinal

waitingForFinal: string[]

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:35

### Private zeroLossOddPlayer

zeroLossOddPlayer: string

- Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:33

## Methods

### Private anyPlayersWaiting

- anyPlayersWaiting(): boolean

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:266

  #### Returns boolean

### Private createMatch

- createMatch(playerA: string, playerB: string, optionOverrides?: MatchOptions, parentMatches?: MatchParent[]): DoubleEliminationMatch

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:234

  #### Parameters

  - ##### playerA: string

  - ##### playerB: string

  - ##### Optional optionOverrides: MatchOptions

  - ##### Optional parentMatches: MatchParent[]

  #### Returns DoubleEliminationMatch

### Private getPlayerScore

- getPlayerScore(player: string): number

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:196

  #### Parameters

  - ##### player: string

  #### Returns number

### getPlayers

- getPlayers(): string[]

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:179

  #### Returns string[]

### getRanking

- getRanking(): PlayerRank[]

- Implementation of default.getRanking

  - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:175

  #### Returns PlayerRank[]

### getRemainingMatches

- getRemainingMatches(): DoubleEliminationMatch[]

- Implementation of default.getRemainingMatches

  - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:91

  #### Returns DoubleEliminationMatch[]

### Private getUpdatedRanking

- getUpdatedRanking(): PlayerRank[]

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:188

  #### Returns PlayerRank[]

### isFinished

- isFinished(): boolean

- Implementation of default.isFinished

  - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:50

  #### Returns boolean

### Private matchPlayers

- matchPlayers(players: string[]): MatchingResult

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:212

  #### Parameters

  - ##### players: string[]

  #### Returns MatchingResult

### Private playerIsWaitingForMatch

- playerIsWaitingForMatch(player: string): boolean

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:262

  #### Parameters

  - ##### player: string

  #### Returns boolean

### Private rankExplanation

- rankExplanation(player: string): string

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:183

  #### Parameters

  - ##### player: string

  #### Returns string

### Private setParentMatches

- setParentMatches(match: DoubleEliminationMatch): void

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:270

  #### Parameters

  - ##### match: DoubleEliminationMatch

  #### Returns void

### Private shufflePlayers

- shufflePlayers(__namedParameters: string[]): string[]

- - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:203

  #### Parameters

  - ##### __namedParameters: string[]

  #### Returns string[]

### updateRealtimeStats

- updateRealtimeStats(match: Match): void

- Implementation of default.updateRealtimeStats

  - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:54

  #### Parameters

  - ##### match: Match

  #### Returns void

### updateStats

- updateStats(playedMatches: Match[]): void

- Implementation of default.updateStats

  - Defined in lobby/tournament/matchmaker/DoubleEliminationMatchmaker.ts:64

  #### Parameters

  - ##### playedMatches: Match[]

  #### Returns void

Generated using TypeDoc